Skip to content

GetPasswordPolicy.

GET
/no_auth/tenant/idm/settings/password_policy
curl --request GET \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/no_auth/tenant/idm/settings/password_policy \
--header 'Authorization: <Authorization>'

GetPasswordPolicy returns password policy for tenant.

Examples of this operation.

realm_id
string

User’s email.

A successful response.

Media typeapplication/json
PasswordPolicyPublicAccess

PasswordPolicyPublicAccess contains subset of password policy settings. This settings will be available publicly without authentication.

object
digits
Digits

Number of digits.

integer format: int64
lowercase_characters
lowercase_characters

Number of lowercase characters.

integer format: int64
minimum_length
minimum_length

Minimum password length.

integer format: int64
not_recently_used
not_recently_used

Number of previous passwords to check for equality - if match found the password is rejected.

integer format: int64
not_username
not_username

If true then username must not appear in the password string.

boolean format: boolean
special_characters
special_characters

Number of special characters.

integer format: int64
uppercase_characters
uppercase_characters

Number of uppercase characters.

integer format: int64
Examplegenerated
{
"digits": 1,
"lowercase_characters": 1,
"minimum_length": 1,
"not_recently_used": 1,
"not_username": true,
"special_characters": 1,
"uppercase_characters": 1
}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example